Loading...
Searching...
No Matches
raptor::raptor_index< data_t > Class Template Reference

## Public Member Functions

std::vector< std::vector< std::string > > const & | bin_path () const
bool | compressed () const
double | fpr () const
data_t & | ibf ()
data_t const & | ibf () const
bool | is_hibf () const
template<seqan3::cereal_input_archive archive_t>
void | load_old_parameters (archive_t &archive)
| Load parameters from old index format for use with raptor upgrade.
template<seqan3::cereal_input_archive archive_t>
void | load_parameters (archive_t &archive)
raptor_index & | operator= (raptor_index &&)=default
raptor_index & | operator= (raptor_index const &)=default
uint8_t | parts () const
| raptor_index (build_arguments const &arguments)
| raptor_index (raptor_index &&)=default
| raptor_index (raptor_index const &)=default
template<typename other_data_t>
| raptor_index (raptor_index< other_data_t > &&other)
template<typename other_data_t>
| raptor_index (raptor_index< other_data_t > const &other)
| raptor_index (window const window_size, seqan3::shape const shape, uint8_t const parts, bool const compressed, std::vector< std::vector< std::string > > const &bin_path, double const fpr, data_t &&ibf)
template<seqan3::cereal_archive archive_t>
void | serialize (archive_t &archive)
| Serialisation support function.
seqan3::shape | shape () const
uint64_t | window_size () const

## Static Public Attributes

static constexpr seqan3::data_layout | data_layout_mode = data_t::data_layout_mode
static constexpr uint32_t | version {2u}

## Private Member Functions

template<seqan3::cereal_archive archive_t>
void | load_old_index (archive_t &archive)
| Load old index format for use with raptor upgrade.

## Private Attributes

std::vector< std::vector< std::string > > | bin_path_ {}
bool | compressed_ {index_structure::is_compressed<data_t>}
double | fpr_ {}
data_t | ibf_ {}
bool | is_hibf_ {index_structure::is_hibf<data_t>}
uint8_t | parts_ {}
seqan3::shape | shape_ {}
uint64_t | window_size_ {}

## Friends

template<seqan3::data_layout data_layout_mode_>
class | index_upgrader

## Member Function Documentation

## serialize()

template<typename data_t = index_structure::ibf>
template<seqan3::cereal_archive archive_t>

void raptor::raptor_index< data_t >::serialize | ( | archive_t & | archive | ) |

inline

Serialisation support function.

Template Parameters

  archive_t | Type of archive; must satisfy seqan3::cereal_archive.

Parameters

  [in] | archive | The archive being serialised from/to.

Attention
  These functions are never called directly.

See also
  https://docs.seqan.de/seqan/3.2.0/group__io.html#serialisation

The documentation for this class was generated from the following file:

- index.hpp